### Function

# Babl space_get_icc

#### Declaration [src]

    const char*
    babl_space_get_icc (
      const Babl* babl,
      int* length
    )

#### Description [src]

Return pointer to ICC profile for space note that this is the ICC profile for R’G’B’, though in formats only supporting linear like EXR GEGL chooses to load this lienar data as RGB and use the sRGB TRC.

#### Parameters

`babl`

  Type: `Babl`

  A `Babl`.

  The data is owned by the caller of the function.

`length`

  Type: `int*`

  Length of the profile in bytes.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guint8`

Pointer to ICC profile data.

The length of the array is in the `length` argument.
The data is owned by the called function.